Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.rest
Class ResultGeoCodeApi

    java.lang.Object
      org.jbpm.process.workitem.rest.ResultGeoCodeApi

    public class ResultGeoCodeApi

extends Object

Constructor Summary
`ResultGeoCodeApi()`

Method Summary
`String` | `getAddress()`
`String` | `getCity()`
`String` | `getCountry()`
`String` | `getLatitude()`
`String` | `getLongitude()`
`String` | `getPrecision()`
`String` | `getState()`
`String` | `getZip()`
`void` | `setAddress(String address)`
`void` | `setCity(String city)`
`void` | `setCountry(String country)`
`void` | `setLatitude(String latitude)`
`void` | `setLongitude(String longitude)`
`void` | `setPrecision(String precision)`
`void` | `setState(String state)`
`void` | `setZip(String zip)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultGeoCodeApi

    public ResultGeoCodeApi()

Method Detail

### getLatitude

    public String getLatitude()

  Returns:
    the latitude

### setLatitude

    public void setLatitude(String latitude)

  Parameters:
    `latitude` - the latitude to set

### getLongitude

    public String getLongitude()

  Returns:
    the longitude

### setLongitude

    public void setLongitude(String longitude)

  Parameters:
    `longitude` - the longitude to set

### getAddress

    public String getAddress()

  Returns:
    the address

### setAddress

    public void setAddress(String address)

  Parameters:
    `address` - the address to set

### getCity

    public String getCity()

  Returns:
    the city

### setCity

    public void setCity(String city)

  Parameters:
    `city` - the city to set

### getState

    public String getState()

  Returns:
    the state

### setState

    public void setState(String state)

  Parameters:
    `state` - the state to set

### getZip

    public String getZip()

  Returns:
    the zip

### setZip

    public void setZip(String zip)

  Parameters:
    `zip` - the zip to set

### getCountry

    public String getCountry()

  Returns:
    the country

### setCountry

    public void setCountry(String country)

  Parameters:
    `country` - the country to set

### getPrecision

    public String getPrecision()

  Returns:
    the precision

### setPrecision

    public void setPrecision(String precision)

  Parameters:
    `precision` - the precision to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.